PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package repair
  Definition Classes
    serverobject
- AmenityAutoRepair
- Repairable
- RepairableAmenity
- RepairableEntity
- RepairableVehicle
- RepairableWeaponTurret

t

net.psforever.objects.serverobject.repair

# AmenityAutoRepair

###

#### trait AmenityAutoRepair extends NtuStorageBehavior

A mixin for handling the automatic repair functionality of facility amenities. Auto-repair is facilitated primarily as a function of nanite transfer unit (NTU) provisions and is prompted by the amenity itself sustaining damage and being, at some level, capable of being repaired. In major facilities - technology plants, bio labs, etc. - this NTU is obtained from that facility's nanite resource silo. The amenity that wishes to be repaired asks the facility for nanite. The reply comes from the NTU source, or from the facility again. In exchange for the automatic repair, the silo looses some of its NTU stockpile and that entails all of the consequences of losing all of the NTU for the base. In smaller field tower bases, the lack of resource silo should not hinder operations as auto-repair is still carried out nonetheless. The consequences of losing NTU do not apply in this case; the field tower is considered to have unlimited, unshared NTU.

Self Type
  AmenityAutoRepair with Damageable with RepairableEntity with Actor
Source
  AmenityAutoRepair.scala

Linear Supertypes
NtuStorageBehavior, Actor, AnyRef, Any
Known Subclasses
GeneratorControl, ProximityTerminalControl, TerminalControl, ImplantTerminalMechControl, SpawnTubeControl, FacilityTurretControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AmenityAutoRepair
2. NtuStorageBehavior
3. Actor
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Abstract Value Members

1.  abstract def AutoRepairObject: Amenity
2.  abstract def receive: akka.actor.Actor.Receive
   Definition Classes
     Actor

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def HandleNtuGrant(sender: ActorRef, src: NtuContainer, amount: Float): Unit

   When reports of an NTU provision is returned to the requesting amenity, the amount of repair that can be performed is obtained and, if the amenity still requires those repairs, auto-repair executes a single tick.

   When reports of an NTU provision is returned to the requesting amenity, the amount of repair that can be performed is obtained and, if the amenity still requires those repairs, auto-repair executes a single tick.

   Definition Classes
     AmenityAutoRepair → NtuStorageBehavior
   See also

     `RepairableAmenity`

5.  def HandleNtuOffer(sender: ActorRef, src: NtuContainer): Unit
   Definition Classes
     AmenityAutoRepair → NtuStorageBehavior
6.  def HandleNtuRequest(sender: ActorRef, min: Float, max: Float): Unit
   Definition Classes
     AmenityAutoRepair → NtuStorageBehavior
7.  def NtuStorageObject: NtuContainer
   Definition Classes
     NtuStorageBehavior
8.  def StopNtuBehavior(sender: ActorRef): Unit

   Stop the auto-repair timer.

   Stop the auto-repair timer.

   Definition Classes
     AmenityAutoRepair → NtuStorageBehavior
9.  final def actuallyTryAutoRepair(): Boolean

   Attempt to start auto-repair operation only if no operation is currently being processed.

   Attempt to start auto-repair operation only if no operation is currently being processed. In case that an override to the normals operations of `tryAutoRepair` is necessary, but the superclass can not be invoked, this method is the backup of those operations to initiate auto-repair.

   returns

     `true`, if the auto-repair process started specifically due to this call; `false`, if it was already started, or did not start

   See also

     `tryAutoRepair`

10.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
11.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
12.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
13.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
14.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
15.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
16.  final val autoRepairBehavior: (AmenityAutoRepair.this)#Receive
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  implicit val context: ActorContext
    Definition Classes
      Actor
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def noNtuSupplyCallback(): Unit

    No (further) provisions of NTU to the potential requesting amenity will be forthcoming.

    No (further) provisions of NTU to the potential requesting amenity will be forthcoming. Cancel any attempts at auto-repair.

27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
30.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
31.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
32.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
33.  implicit final val self: ActorRef
    Definition Classes
      Actor
34.  final def sender(): ActorRef
    Definition Classes
      Actor
35.  final def stopAutoRepair(): Unit

    Cancel any attempts at auto-repair by stopping any currently processing repair timer The operation can be resumed.

    Cancel any attempts at auto-repair by stopping any currently processing repair timer The operation can be resumed.

    See also

      `stopAutoRepairFunctionality`

36.  def storageBehavior: (AmenityAutoRepair.this)#Receive
    Definition Classes
      NtuStorageBehavior
37.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def tryAutoRepair(): Boolean

    Attempt to start auto-repair operation only if no operation is currently being processed.

    Attempt to start auto-repair operation only if no operation is currently being processed.

    returns

      `true`, if the auto-repair process started specifically due to this call; `false`, if it was already started, or did not start

    See also

      `actuallyTryAutoRepair`

41.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
45.  def withNtuSupplyCallback(): Unit

    Confirm that a provision of NTU to the potential requesting amenity is possible.

    Confirm that a provision of NTU to the potential requesting amenity is possible. Attempt to start auto-repair operations.

### Inherited from NtuStorageBehavior

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped